【失敗作業記録】Ruby on Rails で redmine(作業工程・生産管理) その2

  • このエントリーをはてなブックマークに追加

以下作業履歴として残しますが、Railsインストールまでいかなかったので結局はRuby1.9で構築しました。rails環境構築に挑戦する方はrbenvというものがよいらしいですよ。

前回の、Ruby 2.0.0とrailsのインストール 備忘録に引き続き、Redmineをインストールした際の備忘録です。あまりにエラーが多いので記載しました。

Redmineの基本的作業は『Ruby on Rails で redmine(作業工程・生産管理)』を参照してください。作業固定の以下コマンドでDB作成する際にいろいろ引っかかりました。

rake db:migrate RAILS_ENV="production"

Redmine環境でのエラー・失敗備忘録


Ruby2.0.0環境の場合、以下エラーが出てしまい、

[root@www36347u redmine]# rake db:migrate RAILS_ENV="production"
Could not find gem 'capybara (~> 2.0.0) ruby' in the gems available on this machine.
Run `bundle install` to install missing gems.

bundle installを投入するも、またもやエラー。いろいろエラーがでたので、以下に一気に記載。

:  :  :  :
Installing nokogiri (1.5.8)
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.
:  :  :  :
An error occurred while installing nokogiri (1.5.8), and Bundler cannot continue.
Make sure that `gem install nokogiri -v '1.5.8'` succeeds before bundling.
:  :  :  :
An error occurred while installing mysql2 (0.3.11), and Bundler cannot continue.
Make sure that `gem install mysql2 -v '0.3.11'` succeeds before bundling.
:  :  :  :
Can't install RMagick 2.13.2. Can't find MagickWand.h.
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

「gem install nokogiri -v ‘1.5.8’」を投入し、エラーログを確認してみる。

vi /usr/local/lib/ruby/gems/2.0.0/gems/nokogiri-1.5.8/ext/nokogiri/gem_make.out
/usr/local/bin/ruby extconf.rb
checking for libxml/parser.h... no
-----
libxml2 is missing.  please visit http://nokogiri.org/tutorials/installing_nokogiri.html f
or help with installing dependencies.
-----

[Can’t install RMagick]についてはこちらを参考に、「export PKG_CONFIG_PATH=/usr/local/src/ImageMagick-6.8.2-9/magick/MagickCore.pc」で設定。

Can't install RMagick 2.13.2. Can't find the ImageMagick library or one of the dependent libraries. Check the mkmf.log file for more detailed information.

でもエラー。

ImageMagick関連をインストールする。

yum install libjpeg-devel libpng-devel
yum install ImageMagick ImageMagick-devel

mysql-develとlibxml2関連をインストールする。

yum install mysql-devel
yum install -y libxml2 libxml2-devel libxslt libxslt-devel

再度

bundle install
  • このエントリーをはてなブックマークに追加

SNSでもご購読できます。

コメントを残す